//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
// Any modifications to this file will be lost upon recompilation of the source schema.
// Generated on: 2013.03.28 at 07:14:46 PM CET
//


package de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each
 * Java content interface and Java element interface
 * generated in the de.jost_net.de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02 package.
 * <p>An ObjectFactory allows you to programatically
 * construct new instances of the Java representation
 * for XML content. The Java representation of XML
 * content can consist of schema derived interfaces
 * and classes representing the binding of schema
 * type definitions, element declarations and model
 * groups.  Factory methods for each of these are
 * provided in this class.
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _Document_QNAME = new QName("urn:iso:std:iso:20022:tech:xsd:pain.008.002.02", "Document");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: de.jost_net.de.jost_net.OBanToo.SEPA.Nachricht.pain_008_002_02
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link Document }
     */
    public Document createDocument() {
        return new Document();
    }

    /**
     * Create an instance of {@link PaymentIdentificationSEPA }
     */
    public PaymentIdentificationSEPA createPaymentIdentificationSEPA() {
        return new PaymentIdentificationSEPA();
    }

    /**
     * Create an instance of {@link PaymentTypeInformationSDD }
     */
    public PaymentTypeInformationSDD createPaymentTypeInformationSDD() {
        return new PaymentTypeInformationSDD();
    }

    /**
     * Create an instance of {@link FinancialInstitutionIdentificationSEPA1 }
     */
    public FinancialInstitutionIdentificationSEPA1 createFinancialInstitutionIdentificationSEPA1() {
        return new FinancialInstitutionIdentificationSEPA1();
    }

    /**
     * Create an instance of {@link FinancialInstitutionIdentificationSEPA2 }
     */
    public FinancialInstitutionIdentificationSEPA2 createFinancialInstitutionIdentificationSEPA2() {
        return new FinancialInstitutionIdentificationSEPA2();
    }

    /**
     * Create an instance of {@link CustomerDirectDebitInitiationV02 }
     */
    public CustomerDirectDebitInitiationV02 createCustomerDirectDebitInitiationV02() {
        return new CustomerDirectDebitInitiationV02();
    }

    /**
     * Create an instance of {@link CreditorReferenceTypeCodeSEPA }
     */
    public CreditorReferenceTypeCodeSEPA createCreditorReferenceTypeCodeSEPA() {
        return new CreditorReferenceTypeCodeSEPA();
    }

    /**
     * Create an instance of {@link PersonIdentificationSEPA2 }
     */
    public PersonIdentificationSEPA2 createPersonIdentificationSEPA2() {
        return new PersonIdentificationSEPA2();
    }

    /**
     * Create an instance of {@link PartyIdentificationSEPA5 }
     */
    public PartyIdentificationSEPA5 createPartyIdentificationSEPA5() {
        return new PartyIdentificationSEPA5();
    }

    /**
     * Create an instance of {@link PartyIdentificationSEPA4 }
     */
    public PartyIdentificationSEPA4 createPartyIdentificationSEPA4() {
        return new PartyIdentificationSEPA4();
    }

    /**
     * Create an instance of {@link PartyIdentificationSEPA3 }
     */
    public PartyIdentificationSEPA3 createPartyIdentificationSEPA3() {
        return new PartyIdentificationSEPA3();
    }

    /**
     * Create an instance of {@link GenericOrganisationIdentification1 }
     */
    public GenericOrganisationIdentification1 createGenericOrganisationIdentification1() {
        return new GenericOrganisationIdentification1();
    }

    /**
     * Create an instance of {@link PartyIdentificationSEPA2 }
     */
    public PartyIdentificationSEPA2 createPartyIdentificationSEPA2() {
        return new PartyIdentificationSEPA2();
    }

    /**
     * Create an instance of {@link PartyIdentificationSEPA1 }
     */
    public PartyIdentificationSEPA1 createPartyIdentificationSEPA1() {
        return new PartyIdentificationSEPA1();
    }

    /**
     * Create an instance of {@link PurposeSEPA }
     */
    public PurposeSEPA createPurposeSEPA() {
        return new PurposeSEPA();
    }

    /**
     * Create an instance of {@link LocalInstrumentSEPA }
     */
    public LocalInstrumentSEPA createLocalInstrumentSEPA() {
        return new LocalInstrumentSEPA();
    }

    /**
     * Create an instance of {@link RestrictedPersonIdentificationSchemeNameSEPA }
     */
    public RestrictedPersonIdentificationSchemeNameSEPA createRestrictedPersonIdentificationSchemeNameSEPA() {
        return new RestrictedPersonIdentificationSchemeNameSEPA();
    }

    /**
     * Create an instance of {@link AmendmentInformationDetailsSDD }
     */
    public AmendmentInformationDetailsSDD createAmendmentInformationDetailsSDD() {
        return new AmendmentInformationDetailsSDD();
    }

    /**
     * Create an instance of {@link AccountIdentificationSEPA }
     */
    public AccountIdentificationSEPA createAccountIdentificationSEPA() {
        return new AccountIdentificationSEPA();
    }

    /**
     * Create an instance of {@link DirectDebitTransactionSDD }
     */
    public DirectDebitTransactionSDD createDirectDebitTransactionSDD() {
        return new DirectDebitTransactionSDD();
    }

    /**
     * Create an instance of {@link PartySEPAChoice }
     */
    public PartySEPAChoice createPartySEPAChoice() {
        return new PartySEPAChoice();
    }

    /**
     * Create an instance of {@link BranchAndFinancialInstitutionIdentificationSEPA2 }
     */
    public BranchAndFinancialInstitutionIdentificationSEPA2 createBranchAndFinancialInstitutionIdentificationSEPA2() {
        return new BranchAndFinancialInstitutionIdentificationSEPA2();
    }

    /**
     * Create an instance of {@link BranchAndFinancialInstitutionIdentificationSEPA1 }
     */
    public BranchAndFinancialInstitutionIdentificationSEPA1 createBranchAndFinancialInstitutionIdentificationSEPA1() {
        return new BranchAndFinancialInstitutionIdentificationSEPA1();
    }

    /**
     * Create an instance of {@link PersonIdentificationSchemeName1Choice }
     */
    public PersonIdentificationSchemeName1Choice createPersonIdentificationSchemeName1Choice() {
        return new PersonIdentificationSchemeName1Choice();
    }

    /**
     * Create an instance of {@link RemittanceInformationSEPA1Choice }
     */
    public RemittanceInformationSEPA1Choice createRemittanceInformationSEPA1Choice() {
        return new RemittanceInformationSEPA1Choice();
    }

    /**
     * Create an instance of {@link ServiceLevelSEPA }
     */
    public ServiceLevelSEPA createServiceLevelSEPA() {
        return new ServiceLevelSEPA();
    }

    /**
     * Create an instance of {@link PartySEPA2 }
     */
    public PartySEPA2 createPartySEPA2() {
        return new PartySEPA2();
    }

    /**
     * Create an instance of {@link CashAccountSEPA2 }
     */
    public CashAccountSEPA2 createCashAccountSEPA2() {
        return new CashAccountSEPA2();
    }

    /**
     * Create an instance of {@link PostalAddressSEPA }
     */
    public PostalAddressSEPA createPostalAddressSEPA() {
        return new PostalAddressSEPA();
    }

    /**
     * Create an instance of {@link CashAccountSEPA1 }
     */
    public CashAccountSEPA1 createCashAccountSEPA1() {
        return new CashAccountSEPA1();
    }

    /**
     * Create an instance of {@link OrganisationIdentificationSchemeName1Choice }
     */
    public OrganisationIdentificationSchemeName1Choice createOrganisationIdentificationSchemeName1Choice() {
        return new OrganisationIdentificationSchemeName1Choice();
    }

    /**
     * Create an instance of {@link PaymentInstructionInformationSDD }
     */
    public PaymentInstructionInformationSDD createPaymentInstructionInformationSDD() {
        return new PaymentInstructionInformationSDD();
    }

    /**
     * Create an instance of {@link PersonIdentificationSEPA1Choice }
     */
    public PersonIdentificationSEPA1Choice createPersonIdentificationSEPA1Choice() {
        return new PersonIdentificationSEPA1Choice();
    }

    /**
     * Create an instance of {@link ActiveOrHistoricCurrencyAndAmountSEPA }
     */
    public ActiveOrHistoricCurrencyAndAmountSEPA createActiveOrHistoricCurrencyAndAmountSEPA() {
        return new ActiveOrHistoricCurrencyAndAmountSEPA();
    }

    /**
     * Create an instance of {@link DirectDebitTransactionInformationSDD }
     */
    public DirectDebitTransactionInformationSDD createDirectDebitTransactionInformationSDD() {
        return new DirectDebitTransactionInformationSDD();
    }

    /**
     * Create an instance of {@link OrganisationIdentificationSEPAChoice }
     */
    public OrganisationIdentificationSEPAChoice createOrganisationIdentificationSEPAChoice() {
        return new OrganisationIdentificationSEPAChoice();
    }

    /**
     * Create an instance of {@link MandateRelatedInformationSDD }
     */
    public MandateRelatedInformationSDD createMandateRelatedInformationSDD() {
        return new MandateRelatedInformationSDD();
    }

    /**
     * Create an instance of {@link StructuredRemittanceInformationSEPA1 }
     */
    public StructuredRemittanceInformationSEPA1 createStructuredRemittanceInformationSEPA1() {
        return new StructuredRemittanceInformationSEPA1();
    }

    /**
     * Create an instance of {@link CreditorReferenceInformationSEPA1 }
     */
    public CreditorReferenceInformationSEPA1 createCreditorReferenceInformationSEPA1() {
        return new CreditorReferenceInformationSEPA1();
    }

    /**
     * Create an instance of {@link RestrictedPersonIdentificationSEPA }
     */
    public RestrictedPersonIdentificationSEPA createRestrictedPersonIdentificationSEPA() {
        return new RestrictedPersonIdentificationSEPA();
    }

    /**
     * Create an instance of {@link RestrictedFinancialIdentificationSEPA }
     */
    public RestrictedFinancialIdentificationSEPA createRestrictedFinancialIdentificationSEPA() {
        return new RestrictedFinancialIdentificationSEPA();
    }

    /**
     * Create an instance of {@link GenericPersonIdentification1 }
     */
    public GenericPersonIdentification1 createGenericPersonIdentification1() {
        return new GenericPersonIdentification1();
    }

    /**
     * Create an instance of {@link DateAndPlaceOfBirth }
     */
    public DateAndPlaceOfBirth createDateAndPlaceOfBirth() {
        return new DateAndPlaceOfBirth();
    }

    /**
     * Create an instance of {@link CategoryPurposeSEPA }
     */
    public CategoryPurposeSEPA createCategoryPurposeSEPA() {
        return new CategoryPurposeSEPA();
    }

    /**
     * Create an instance of {@link GroupHeaderSDD }
     */
    public GroupHeaderSDD createGroupHeaderSDD() {
        return new GroupHeaderSDD();
    }

    /**
     * Create an instance of {@link CreditorReferenceTypeSEPA }
     */
    public CreditorReferenceTypeSEPA createCreditorReferenceTypeSEPA() {
        return new CreditorReferenceTypeSEPA();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Document }{@code >}}
     */
    @XmlElementDecl(namespace = "urn:iso:std:iso:20022:tech:xsd:pain.008.002.02", name = "Document")
    public JAXBElement<Document> createDocument(Document value) {
        return new JAXBElement<Document>(_Document_QNAME, Document.class, null, value);
    }

}
